Plugins deprecation

The following table lists the plugins that are currently being deprecated and their related decommission schedules.

For continued support for these deprecated plugins, use Blue Medora (see the Blue Medora support for deprecated plugins section for details).

Plugin name Deprecated Unsupported as of Details
Cassandra February 28, 2019 Agent version 6.0.0 Migrate to the solution from Blue Medora
CouchDB February 28, 2019 Agent version 6.0.0 No alternative solution available
Elasticsearch February 28, 2019 Agent version 6.0.0 Blue Medora support available H1 2019
HBase February 28, 2019 Agent version 6.0.0 Blue Medora support available H1 2019
Kafka February 28, 2019 Agent version 6.0.0 Migrate to the solution from Blue Medora
MongoDB February 28, 2019 Agent version 6.0.0 Migrate to the solution from Blue Medora
PostgreSQL February 28, 2019 Agent version 6.0.0 Migrate to the solution from Blue Medora
RabbitMQ February 28, 2019 Agent version 6.0.0 Blue Medora support available H1 2019
Riak February 28, 2019 Agent version 6.0.0 No alternative solution available
Tomcat February 28, 2019 Agent version 6.0.0 Migrate to the solution from Blue Medora
Varnish February 28, 2019 Agent version 6.0.0 Blue Medora support available H1 2019
ZooKeeper February 28, 2019 Agent version 6.0.0 Blue Medora support available H1 2019

Blue Medora support for deprecated plugins

If you are using a deprecated third-party application plugin, you can continue to collect metrics for the service using the Stackdriver partner Blue Medora. They provide metric support for all deprecated third-party application plugins, except CouchDB and Riak.

Was this page helpful? Let us know how we did:

Send feedback about...

Stackdriver Documentation